<nav class="bg-gray-800">
  <div class="max-w-7xl mx-auto px-2 sm:px-6 lg:px-8">
    <div class="relative flex items-center justify-between h-16">
      <div class="absolute inset-y-0 left-0 flex items-center sm:hidden">
        <!-- Mobile menu button-->
        <button
          type="button"
          [matMenuTriggerFor]="mobileMenu"
          class="inline-flex items-center justify-center p-2 rounded-md text-gray-400 hover:text-white hover:bg-gray-700 focus:outline-none focus:ring-2 focus:ring-inset focus:ring-white"
          aria-controls="mobile-menu"
          aria-expanded="false"
        >
          <span class="sr-only">Open main menu</span>

          <svg
            class="block h-6 w-6"
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            stroke="currentColor"
            aria-hidden="true"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M4 6h16M4 12h16M4 18h16"
            />
          </svg>
          <svg
            class="hidden h-6 w-6"
            xmlns="http://www.w3.org/2000/svg"
            fill="none"
            viewBox="0 0 24 24"
            stroke="currentColor"
            aria-hidden="true"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M6 18L18 6M6 6l12 12"
            />
          </svg>
        </button>
      </div>
      <div
        class="flex-1 flex items-center justify-center sm:items-stretch sm:justify-start"
      >
        <div class="flex-shrink-0 flex items-center">
          <img
            class="block lg:hidden h-8 w-auto"
            src="https://tailwindui.com/img/logos/workflow-mark-indigo-500.svg"
            alt="Ressources"
          />
          <svg
            width="217"
            height="41"
            viewBox="0 0 217 41"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path
              d="M25.4099 1.97689L21.4769 0.923031L18.1625 13.2926L15.1702 2.12527L11.2371 3.17913L14.4701 15.2446L6.41746 7.19201L3.53827 10.0712L12.371 18.904L1.37124 15.9566L0.317383 19.8896L12.336 23.11C12.1984 22.5165 12.1256 21.8981 12.1256 21.2627C12.1256 16.7651 15.7716 13.1191 20.2692 13.1191C24.7668 13.1191 28.4128 16.7651 28.4128 21.2627C28.4128 21.894 28.3409 22.5086 28.205 23.0986L39.1277 26.0253L40.1815 22.0923L28.1151 18.8591L39.1156 15.9115L38.0617 11.9785L25.9958 15.2115L34.0484 7.15895L31.1692 4.27976L22.459 12.99L25.4099 1.97689Z"
              fill="#7D60CF"
            />
            <path
              d="M28.1943 23.1444C27.8571 24.57 27.1452 25.8507 26.1684 26.8768L34.0814 34.7899L36.9606 31.9107L28.1943 23.1444Z"
              fill="#7D60CF"
            />
            <path
              d="M26.0884 26.9596C25.0998 27.9693 23.8505 28.7228 22.4495 29.1111L25.3289 39.8571L29.2619 38.8032L26.0884 26.9596Z"
              fill="#7D60CF"
            />
            <path
              d="M22.3026 29.1504C21.6526 29.3175 20.9713 29.4063 20.2692 29.4063C19.517 29.4063 18.7886 29.3043 18.0971 29.1134L15.2151 39.8692L19.1481 40.923L22.3026 29.1504Z"
              fill="#7D60CF"
            />
            <path
              d="M17.9581 29.0737C16.5785 28.6661 15.3514 27.903 14.383 26.8904L6.45052 34.8229L9.32971 37.7021L17.9581 29.0737Z"
              fill="#7D60CF"
            />
            <path
              d="M14.3168 26.8203C13.365 25.8013 12.6717 24.5377 12.3417 23.1341L1.38335 26.0704L2.4372 30.0034L14.3168 26.8203Z"
              fill="#7D60CF"
            />
            <path
              d="M48.9141 31V10.375H55.2422C56.2969 10.375 57.0938 10.6172 57.6328 11.1016C58.1719 11.5781 58.5312 12.25 58.7109 13.1172C58.8984 13.9766 58.9922 14.9883 58.9922 16.1523C58.9922 17.2773 58.8477 18.1758 58.5586 18.8477C58.2773 19.5195 57.7422 19.9844 56.9531 20.2422C57.6016 20.375 58.0547 20.6992 58.3125 21.2148C58.5781 21.7227 58.7109 22.3828 58.7109 23.1953V31H54.6445V22.9258C54.6445 22.3242 54.5195 21.9531 54.2695 21.8125C54.0273 21.6641 53.6328 21.5898 53.0859 21.5898V31H48.9141ZM53.1094 18.0156H54.1055C54.6758 18.0156 54.9609 17.3945 54.9609 16.1523C54.9609 15.3477 54.8984 14.8203 54.7734 14.5703C54.6484 14.3203 54.4141 14.1953 54.0703 14.1953H53.1094V18.0156ZM60.3516 31V10.375H68.6016V14.3594H64.5469V18.3789H68.4375V22.2578H64.5469V26.9805H68.8711V31H60.3516ZM75.1406 31.1875C73.2578 31.1875 71.8984 30.7188 71.0625 29.7812C70.2344 28.8438 69.8203 27.3516 69.8203 25.3047V23.2891H73.8984V25.8672C73.8984 26.3438 73.9688 26.7188 74.1094 26.9922C74.2578 27.2578 74.5117 27.3906 74.8711 27.3906C75.2461 27.3906 75.5039 27.2812 75.6445 27.0625C75.793 26.8438 75.8672 26.4844 75.8672 25.9844C75.8672 25.3516 75.8047 24.8242 75.6797 24.4023C75.5547 23.9727 75.3359 23.5664 75.0234 23.1836C74.7188 22.793 74.293 22.3398 73.7461 21.8242L71.8945 20.0664C70.5117 18.7617 69.8203 17.2695 69.8203 15.5898C69.8203 13.832 70.2266 12.4922 71.0391 11.5703C71.8594 10.6484 73.043 10.1875 74.5898 10.1875C76.4805 10.1875 77.8203 10.6914 78.6094 11.6992C79.4062 12.707 79.8047 14.2383 79.8047 16.293H75.6094V14.875C75.6094 14.5938 75.5273 14.375 75.3633 14.2188C75.207 14.0625 74.9922 13.9844 74.7188 13.9844C74.3906 13.9844 74.1484 14.0781 73.9922 14.2656C73.8438 14.4453 73.7695 14.6797 73.7695 14.9688C73.7695 15.2578 73.8477 15.5703 74.0039 15.9062C74.1602 16.2422 74.4688 16.6289 74.9297 17.0664L77.3086 19.3516C77.7852 19.8047 78.2227 20.2852 78.6211 20.793C79.0195 21.293 79.3398 21.8789 79.582 22.5508C79.8242 23.2148 79.9453 24.0273 79.9453 24.9883C79.9453 26.9258 79.5859 28.4453 78.8672 29.5469C78.1562 30.6406 76.9141 31.1875 75.1406 31.1875ZM86.2266 31.1875C84.3438 31.1875 82.9844 30.7188 82.1484 29.7812C81.3203 28.8438 80.9062 27.3516 80.9062 25.3047V23.2891H84.9844V25.8672C84.9844 26.3438 85.0547 26.7188 85.1953 26.9922C85.3438 27.2578 85.5977 27.3906 85.957 27.3906C86.332 27.3906 86.5898 27.2812 86.7305 27.0625C86.8789 26.8438 86.9531 26.4844 86.9531 25.9844C86.9531 25.3516 86.8906 24.8242 86.7656 24.4023C86.6406 23.9727 86.4219 23.5664 86.1094 23.1836C85.8047 22.793 85.3789 22.3398 84.832 21.8242L82.9805 20.0664C81.5977 18.7617 80.9062 17.2695 80.9062 15.5898C80.9062 13.832 81.3125 12.4922 82.125 11.5703C82.9453 10.6484 84.1289 10.1875 85.6758 10.1875C87.5664 10.1875 88.9062 10.6914 89.6953 11.6992C90.4922 12.707 90.8906 14.2383 90.8906 16.293H86.6953V14.875C86.6953 14.5938 86.6133 14.375 86.4492 14.2188C86.293 14.0625 86.0781 13.9844 85.8047 13.9844C85.4766 13.9844 85.2344 14.0781 85.0781 14.2656C84.9297 14.4453 84.8555 14.6797 84.8555 14.9688C84.8555 15.2578 84.9336 15.5703 85.0898 15.9062C85.2461 16.2422 85.5547 16.6289 86.0156 17.0664L88.3945 19.3516C88.8711 19.8047 89.3086 20.2852 89.707 20.793C90.1055 21.293 90.4258 21.8789 90.668 22.5508C90.9102 23.2148 91.0312 24.0273 91.0312 24.9883C91.0312 26.9258 90.6719 28.4453 89.9531 29.5469C89.2422 30.6406 88 31.1875 86.2266 31.1875ZM97.3359 31.1875C95.6875 31.1875 94.4258 30.6914 93.5508 29.6992C92.6836 28.6992 92.25 27.2578 92.25 25.375V15.5781C92.25 13.8125 92.6797 12.4727 93.5391 11.5586C94.4062 10.6445 95.6719 10.1875 97.3359 10.1875C99 10.1875 100.262 10.6445 101.121 11.5586C101.988 12.4727 102.422 13.8125 102.422 15.5781V25.375C102.422 27.2578 101.984 28.6992 101.109 29.6992C100.242 30.6914 98.9844 31.1875 97.3359 31.1875ZM97.3711 27.3906C97.9961 27.3906 98.3086 26.7852 98.3086 25.5742V15.5078C98.3086 14.4922 98.0039 13.9844 97.3945 13.9844C96.707 13.9844 96.3633 14.5039 96.3633 15.543V25.5977C96.3633 26.2383 96.4414 26.6992 96.5977 26.9805C96.7539 27.2539 97.0117 27.3906 97.3711 27.3906ZM108.855 31.1875C107.137 31.1875 105.871 30.707 105.059 29.7461C104.246 28.7773 103.84 27.3555 103.84 25.4805V10.375H107.848V25.3164C107.848 25.6602 107.867 25.9922 107.906 26.3125C107.945 26.625 108.035 26.8828 108.176 27.0859C108.316 27.2891 108.543 27.3906 108.855 27.3906C109.176 27.3906 109.406 27.293 109.547 27.0977C109.688 26.8945 109.773 26.6328 109.805 26.3125C109.844 25.9922 109.863 25.6602 109.863 25.3164V10.375H113.871V25.4805C113.871 27.3555 113.465 28.7773 112.652 29.7461C111.84 30.707 110.574 31.1875 108.855 31.1875ZM115.453 31V10.375H121.781C122.836 10.375 123.633 10.6172 124.172 11.1016C124.711 11.5781 125.07 12.25 125.25 13.1172C125.438 13.9766 125.531 14.9883 125.531 16.1523C125.531 17.2773 125.387 18.1758 125.098 18.8477C124.816 19.5195 124.281 19.9844 123.492 20.2422C124.141 20.375 124.594 20.6992 124.852 21.2148C125.117 21.7227 125.25 22.3828 125.25 23.1953V31H121.184V22.9258C121.184 22.3242 121.059 21.9531 120.809 21.8125C120.566 21.6641 120.172 21.5898 119.625 21.5898V31H115.453ZM119.648 18.0156H120.645C121.215 18.0156 121.5 17.3945 121.5 16.1523C121.5 15.3477 121.438 14.8203 121.312 14.5703C121.188 14.3203 120.953 14.1953 120.609 14.1953H119.648V18.0156ZM131.695 31.1875C130.203 31.1875 129 30.7227 128.086 29.793C127.18 28.8633 126.727 27.5625 126.727 25.8906V16.375C126.727 14.375 127.121 12.8438 127.91 11.7812C128.707 10.7188 130 10.1875 131.789 10.1875C132.766 10.1875 133.633 10.3672 134.391 10.7266C135.156 11.0859 135.758 11.625 136.195 12.3438C136.633 13.0547 136.852 13.9531 136.852 15.0391V18.6016H132.75V15.5547C132.75 14.9375 132.672 14.5234 132.516 14.3125C132.359 14.0938 132.117 13.9844 131.789 13.9844C131.406 13.9844 131.148 14.125 131.016 14.4062C130.883 14.6797 130.816 15.0469 130.816 15.5078V25.832C130.816 26.4023 130.898 26.8047 131.062 27.0391C131.234 27.2734 131.477 27.3906 131.789 27.3906C132.141 27.3906 132.387 27.2461 132.527 26.957C132.676 26.668 132.75 26.293 132.75 25.832V22.1172H136.898V26.0195C136.898 27.832 136.441 29.1484 135.527 29.9688C134.613 30.7812 133.336 31.1875 131.695 31.1875ZM138.281 31V10.375H146.531V14.3594H142.477V18.3789H146.367V22.2578H142.477V26.9805H146.801V31H138.281ZM153.07 31.1875C151.188 31.1875 149.828 30.7188 148.992 29.7812C148.164 28.8438 147.75 27.3516 147.75 25.3047V23.2891H151.828V25.8672C151.828 26.3438 151.898 26.7188 152.039 26.9922C152.188 27.2578 152.441 27.3906 152.801 27.3906C153.176 27.3906 153.434 27.2812 153.574 27.0625C153.723 26.8438 153.797 26.4844 153.797 25.9844C153.797 25.3516 153.734 24.8242 153.609 24.4023C153.484 23.9727 153.266 23.5664 152.953 23.1836C152.648 22.793 152.223 22.3398 151.676 21.8242L149.824 20.0664C148.441 18.7617 147.75 17.2695 147.75 15.5898C147.75 13.832 148.156 12.4922 148.969 11.5703C149.789 10.6484 150.973 10.1875 152.52 10.1875C154.41 10.1875 155.75 10.6914 156.539 11.6992C157.336 12.707 157.734 14.2383 157.734 16.293H153.539V14.875C153.539 14.5938 153.457 14.375 153.293 14.2188C153.137 14.0625 152.922 13.9844 152.648 13.9844C152.32 13.9844 152.078 14.0781 151.922 14.2656C151.773 14.4453 151.699 14.6797 151.699 14.9688C151.699 15.2578 151.777 15.5703 151.934 15.9062C152.09 16.2422 152.398 16.6289 152.859 17.0664L155.238 19.3516C155.715 19.8047 156.152 20.2852 156.551 20.793C156.949 21.293 157.27 21.8789 157.512 22.5508C157.754 23.2148 157.875 24.0273 157.875 24.9883C157.875 26.9258 157.516 28.4453 156.797 29.5469C156.086 30.6406 154.844 31.1875 153.07 31.1875Z"
              fill="white"
            />
          </svg>
        </div>
        <div class="hidden sm:block sm:ml-6">
          <div class="flex space-x-4 mt-1">
            <a
              href="#"
              routerLinkActive="active"
              class="text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-md font-medium"
              >Mes articles</a
            >

            <a
              href="#"
              routerLinkActive="active"
              class="text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-md font-medium"
              >Informations</a
            >

            <a
              href="#"
              routerLinkActive="active"
              class="text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-md font-medium"
              >Contact</a
            >
            <button
              type="button"
              routerLink="create"
              class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-1 dark:bg-blue-600 dark:hover:bg-blue-700 focus:outline-none dark:focus:ring-blue-800"
            >
              Publier
            </button>
            <button
            type="button"
            routerLink="admin"
            [hidden]="!isVisible"
            class="text-gray-300 hover:bg-gray-700 hover:text-white px-3 py-2 rounded-md text-md font-medium"
          >
            Admin
          </button>
          </div>
        </div>
      </div>
      <div
        class="absolute inset-y-0 right-0 flex items-center pr-2 sm:static sm:inset-auto sm:ml-6 sm:pr-0"
      >
        <form class="flex items-center mr-4">
          <label for="simple-search" class="sr-only">Search</label>
          <div class="relative w-full">
            <div
              class="flex absolute inset-y-0 left-0 items-center pl-3 pointer-events-none"
            >
              <svg
                class="w-5 h-5 text-gray-500 dark:text-gray-400"
                fill="currentColor"
                viewBox="0 0 20 20"
                xmlns="http://www.w3.org/2000/svg"
              >
                <path
                  fill-rule="evenodd"
                  d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z"
                  clip-rule="evenodd"
                ></path>
              </svg>
            </div>
            <input
              type="text"
              id="simple-search"
              class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
              placeholder="Recherche"
            />
          </div>
        </form>

        <!-- Profile dropdown -->
        <div class="ml-3 relative group">
          <div>
            <button
              type="button"
              [matMenuTriggerFor]="menu"
              class="bg-gray-800 flex text-md rounded-full focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-offset-gray-800 focus:ring-white"
              id="user-menu-button"
              aria-expanded="false"
              aria-haspopup="true"
            >
              <span class="sr-only">Menu utilisateur</span>
              <img
                class="h-9 w-9 rounded-full"
                src="https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80"
                alt=""
              />
            </button>
          </div>

          <mat-menu
            #menu="matMenu"
            class="mt-5 w-48 rounded-md shadow-lg py-1 bg-white ring-1 ring-black ring-opacity-5 focus:outline-none"
            role="menu"
            aria-orientation="vertical"
            aria-labelledby="user-menu-button"
            tabindex="-1"
          >
            <!-- Active: "bg-gray-100", Not Active: "" -->
            <a
              href="#"
              class="block px-4 py-2 text-sm text-gray-700"
              role="menuitem"
              tabindex="-1"
              id="user-menu-item-0"
              >Profil</a
            >
            <a
              href="#"
              class="block px-4 py-2 text-sm text-gray-700"
              role="menuitem"
              tabindex="-1"
              id="user-menu-item-1"
              >Paramètres</a
            >
            <a
              href="http://localhost/logout"
              class="block px-4 py-2 text-sm text-gray-700"
              role="menuitem"
              tabindex="-1"
              id="user-menu-item-2"
              >Déconnexion</a
            >
          </mat-menu>
        </div>
      </div>
    </div>
  </div>

  <!-- Mobile menu, show/hide based on menu state. -->
  <mat-menu #mobileMenu="matMenu" class="sm:hidden" id="mobile-menu">
    <div class="px-2 pt-2 pb-3 space-y-1">
      <!-- Current: "bg-gray-900 text-white", Default: "text-gray-300 hover:bg-gray-700 hover:text-white" -->
      <a
        href="#"
        class="bg-gray-900 text-white block px-3 py-2 rounded-md text-base font-medium"
        aria-current="page"
        >Dashboard</a
      >

      <a
        href="#"
        class="text-gray-300 hover:bg-gray-700 hover:text-white block px-3 py-2 rounded-md text-base font-medium"
        >Team</a
      >

      <a
        href="#"
        class="text-gray-300 hover:bg-gray-700 hover:text-white block px-3 py-2 rounded-md text-base font-medium"
        >Projects</a
      >

      <a
        href="#"
        class="text-gray-300 hover:bg-gray-700 hover:text-white block px-3 py-2 rounded-md text-base font-medium"
        >Calendar</a
      >
    </div>
  </mat-menu>
</nav>
